Routescope APIRoutescope API
RouteScope Self-Service

Get my account info

🔑 Requires token authentication (TokenAuth)

Returns the basic account info of the user that owns the current token, including username, email, group, quota, and total request count.

GET
/api/token/self/
curl -X GET "https://webapi.routescope.ai/api/token/self/"
{
  "success": true,
  "message": "",
  "data": {
    "id": 123,
    "username": "alice",
    "display_name": "Alice",
    "role": 1,
    "status": 1,
    "email": "alice@example.com",
    "group": "default",
    "quota": 1,
    "used_quota": 0.24,
    "request_count": 18
  }
}

Authorization

BearerAuth

AuthorizationBearer <token>

Use Bearer Token for authentication. Format: Authorization: Bearer sk-xxxxxx

In: header

Response Body

application/json

How is this guide?

Last updated on